import org.json.*;

String baseURL = "http://api.nytimes.com/svc/search/v1/article";
String apiKey = "8d55baa62c35f534bb9d1d0d70d291b7:14:67348739";
int [][][] nyFoodArticles = new int[6][5][13];

int [][] nyMonths_Cuisines = new int[61][8];

//void setup() {
//  
//  size(500,300);
// 
//  println(nyMonths_Cuisines[1][3] +" "+ nyMonths_Cuisines[1][1] +" " +nyMonths_Cuisines[60][0]+" " +nyMonths_Cuisines[60][1] );
//};


void parseNYData(){
   
    /*
    String[] words = {"Dessert+Food", "Spanish+Food", "Chinese+Food", "French+Food", "Vegetarian+Food", "Italian+Food"};
    color[] colors = {#FF0000, #00FF00, #0000FF, #FF3300, #FF9900, #000000};
    
    int barSize = 25;
    int startY = 80;
    
    String start = "20070101";
    String end = "20111231";
  
    String[] cuisines = new String[6];
    
    for (int i = 0; i < words.length; i++) {
       cuisines[i]="";
       for(Integer _year = 2007; _year <=2011; _year++){
         for(Integer _month = 1; _month<=12; _month++){
           String strt = _month <= 9 ? Integer.toString(_year)+"0"+Integer.toString(_month)+"01" : Integer.toString(_year)+Integer.toString(_month)+"01";
           String _end = _month <= 9 ? Integer.toString(_year)+"0"+Integer.toString(_month)+"31" : Integer.toString(_year)+Integer.toString(_month)+"31";
           println(strt + " "+ _end);
           //int freq = 0;
           int freq = getArticleKeywordCount( words[i], strt,_end);
           nyFoodArticles[i][_year-2007][_month] = freq;
           println( nyFoodArticles[i][_year-2007][_month] );
           cuisines[i] += (_year == 2011 && _month == 12) ? nyFoodArticles[i][_year-2007][_month] : nyFoodArticles[i][_year-2007][_month] + "," ;
           //out.println( nyFoodArticles[i][_year-2007][_month] );
           //fill(colors[i]);
           //rect(0, startY + (barSize * i), freq/5, barSize);
         }
       }
       saveStrings("nyFoodCount.txt", cuisines);
         
    }
    */
    
    
    for(int i=1;i<61;){
      for(Integer _year = 2007; _year <=2011; _year++){
         for(Integer _month = 1; _month<=12; _month++){
          
           if(i<61){
             nyMonths_Cuisines[i][0] = _year;
             nyMonths_Cuisines[i][1] = _month;
           }
           i++;
         }
      }
    }
    
    String savedData[] = loadStrings("nyFoodCount.txt");
    for (int i=0; i < savedData.length; i++) {
      String category[] = split(savedData[i], "\n");
      String months[] = split(category[0], ",");
      for(int j = 1; j<=months.length;j++){
        nyMonths_Cuisines[j][i+2] = Integer.parseInt(months[j-1]);
      }
    }

}

//void draw() {
//
//};

int getArticleKeywordCount(String word, String beginDate, String endDate) {
  String request = baseURL + "?query=" + word + "&begin_date=" + beginDate + "&end_date=" + endDate + "&api-key=" + apiKey;
  String result = join( loadStrings( request ), "");
  
  int total = 0;
  
  try {
  JSONObject nytData = new JSONObject(join(loadStrings(request), ""));
  JSONArray results = nytData.getJSONArray("results");
  total = nytData.getInt("total");
  println ("There were " + total + " occurences of the term " + word + " between " + beginDate + " and " + endDate);
  }
  catch (JSONException e) {
  println ("There was an error parsing the JSONObject.");
  };
  
  return(total);
};
